Anonymous Login
2019-08-22 04:20 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001359v3.0 Release[All Projects] Generalpublic2013-08-28 11:17
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001359: Fault on entering duplicate Event
DescriptionCreate an Event, entered OK.
Create a second Event, different name, same day, same time & we get a red cross upper left and info on Dayview Events tab:

ERROR: /opt/web2project/web2git2/includes/cleanup_functions.php(2898) : arraySelect called with no array
Backtrace:
0 /opt/web2project/web2git2/includes/cleanup_functions.php:2898 dprint()
1 /opt/web2project/web2git2/modules/calendar/vw_day_events.php:68 arraySelect()
2 /opt/web2project/web2git2/style/web2project/overrides.php:103 require()
3 /opt/web2project/web2git2/modules/calendar/day_view.php:94 show()
4 /opt/web2project/web2git2/index.php:274 require()
Additional InformationLooking at the DB data, seems that the 2nd Event overwrote data for the 1st, to events listed in User Events but only one entry in Events table.
Deleted all and came OK.

Not sure worth dealing with at this stage. We have better event handling in mail server (can handle two event types at same time, lists both) & would possibly deny Event edit in permissions.

TagsNo tags attached.
Attached Files

-Relationships
+Relationships

+Notes

-Issue History
Date Modified Username Field Change
2013-08-01 01:39 sasquatch58 New Issue
2013-08-03 22:52 caseydk Note Added: 0002986
2013-08-03 22:52 caseydk Status new => resolved
2013-08-03 22:52 caseydk Resolution open => fixed
2013-08-03 22:52 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:17 caseydk Status resolved => closed
+Issue History